Bug 1728090 - No file or directory listing within open file dialog on KDE in any view.
Summary: No file or directory listing within open file dialog on KDE in any view.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qcad
Version: 31
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL: https://www.qcad.org/rsforum/viewtopi...
Whiteboard:
Depends On:
Blocks: KDEWaylandRelated
TreeView+ depends on / blocked
 
Reported: 2019-07-09 02:32 UTC by Robin Laing
Modified: 2020-01-24 18:51 UTC (History)
2 users (show)

Fixed In Version: qcad-3.24.2.1-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-24 18:51:10 UTC
Type: Bug


Attachments (Terms of Use)
File menu using qcad builtin file dialog (238.27 KB, image/png)
2019-07-14 03:16 UTC, Robin Laing
no flags Details
Menu selection option for KDE or internal file dialog. (260.45 KB, image/png)
2019-07-14 03:17 UTC, Robin Laing
no flags Details
Save direcotry but using the KDE dialog to open. (237.20 KB, image/png)
2019-07-14 03:21 UTC, Robin Laing
no flags Details
qcad file. Very simple file. (62.93 KB, image/vnd.dxf)
2019-07-14 03:24 UTC, Robin Laing
no flags Details
A test qcad file with the latest version on the updates testing server. Some aspeccts may be locked. (21.97 KB, image/vnd.dxf)
2019-07-14 03:27 UTC, Robin Laing
no flags Details
qcad 3.22.1 open dialog using KDE dialog option (160.09 KB, image/png)
2019-07-14 03:40 UTC, Robin Laing
no flags Details
qcad 3.22.1 using internal file dialog (221.21 KB, image/png)
2019-07-14 03:43 UTC, Robin Laing
no flags Details

Description Robin Laing 2019-07-09 02:32:32 UTC
Description of problem: When I open qcad to work on an already created file, I don't get any file listings within the dialog box for file listing.

Does not show any files or directories in any of the views I select.  

Version-Release number of selected component (if applicable):
3.21.3.15 (latest version that will install)

How reproducible:
Every time I try.

Steps to Reproduce:
1. Open qcad, selct File > Open or CTRL+o

2. try to go to a directory with the files you are looking for but nothing shows up.
3.

Actual results:  Empty selection dialog, no matter what directory I am in.


Expected results:  List of directories and/or files, depending no "view" 


Additional info:  I can use CTRL+l to give me the ability to enter in directory locations.  I can change into a directory with many qcad generated cad files and there are none listed.  None of the further sub directories are listed either.

If I know the file name, I can start to type it in and use tab complete to finish the opening.

My work around is to find the files I want to open and then type in the particular file or copy and paste it into the dialog.

If I enable the "places" dialog, I do get various partitions displayed but this still doesn't allow me to select my proper working directory.

Tested on two different accounts, one that has never used qcad and the same problem is present.

I tried to install 3.22.1.0 (2.fc29) but there are dependencies missing which I posted a bug report on.


https://bugzilla.redhat.com/show_bug.cgi?id=1728088

Comment 1 Fedora Update System 2019-07-10 06:24:04 UTC
FEDORA-2019-ec61f67a68 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ec61f67a68

Comment 2 Fedora Update System 2019-07-11 00:50:15 UTC
qcad-3.22.1.0-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-735cb51555

Comment 3 Fedora Update System 2019-07-11 03:10:44 UTC
qcad-3.22.1.0-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ec61f67a68

Comment 4 Fedora Update System 2019-07-11 12:13:16 UTC
FEDORA-2019-ec61f67a68 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ec61f67a68

Comment 5 Fedora Update System 2019-07-11 12:14:06 UTC
FEDORA-2019-735cb51555 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-735cb51555

Comment 6 Fedora Update System 2019-07-12 02:15:34 UTC
qcad-3.22.1.0-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-735cb51555

Comment 7 Fedora Update System 2019-07-12 06:09:24 UTC
qcad-3.22.1.0-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ec61f67a68

Comment 8 Robin Laing 2019-07-12 20:59:02 UTC
With qcad-3.22.1.0-4.fc29.x86_64, I still do not have any file listings within the open file dialog in KDE.  During the testing, I also found that I don't have any file/directory listings in the Save dialog either.  Never noticed that before as I didn't try saving anything.  I found some other dialog/display issues that I have to see if they are part of the changes from qcad.org or related to this build.

Comment 9 Robin Laing 2019-07-13 04:48:31 UTC
On further testing, I found that the issue with file lists is related to qcad using the "Use system file dialog" option in Application Preferences, File, Open/Save.  If this option it turned off, then there is a file list.

I have only tested in 3.20.1.3 at this time.

Comment 10 Antonio T. (sagitter) 2019-07-13 13:18:53 UTC
Please, attach here a file you cannot see/open with QCAD.

Comment 11 Robin Laing 2019-07-14 03:16:12 UTC
Created attachment 1590404 [details]
File menu using qcad builtin file dialog

This is a screen cap of a directory with *.dxf files and using the qcad internal file dialog.

Comment 12 Robin Laing 2019-07-14 03:17:44 UTC
Created attachment 1590405 [details]
Menu selection option for KDE or internal file dialog.

This is the screen cap of the file dialog to choose between the internal qcad one and the KDE one.

Comment 13 Robin Laing 2019-07-14 03:21:51 UTC
Created attachment 1590406 [details]
Save direcotry but using the KDE dialog to open.

This is an image of file open using the KDE dialog instead of the internal qcad dialog.  I had selected all files and no files in the selected directory are visible.  Even the various *.png images in the directory are missing.excavation_rough.dxf

These are the present file within the directory.

Screenshot_20190712_152259.png
Screenshot_20190713_211149.png
Screenshot_20190713_211306.png  
test.txt
Screenshot_20190712_151856.png
Screenshot_20190713_211115.png
Screenshot_20190713_211231.png
TEST.dxf

Comment 14 Robin Laing 2019-07-14 03:24:36 UTC
Created attachment 1590407 [details]
qcad file.  Very simple file.

This is a current working qcad file that was created with an earlier version of qcad.

Comment 15 Robin Laing 2019-07-14 03:27:22 UTC
Created attachment 1590408 [details]
A test qcad file with the latest version on the updates testing server.  Some aspeccts may be locked.

This is a test file that was created with the version on updates testing.

Comment 16 Robin Laing 2019-07-14 03:29:44 UTC
 Above captures were with 3.20.1.3.   Running qcad from the command line didn't bring up any messages in the terminal.

Comment 17 Robin Laing 2019-07-14 03:40:25 UTC
Created attachment 1590422 [details]
qcad 3.22.1 open dialog using KDE dialog option

No files listed at all.

Comment 18 Robin Laing 2019-07-14 03:43:35 UTC
Created attachment 1590423 [details]
qcad 3.22.1 using internal file dialog

Changed the option to use the internal dialog and there is a full list of what is in the directory.  Not just the dxf files.

No messages showing up in terminal when started in the terminal.

Comment 19 Fedora Update System 2019-07-20 02:33:33 UTC
qcad-3.22.1.0-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2019-07-20 03:46:50 UTC
qcad-3.22.1.0-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Ben Cotton 2019-08-13 17:12:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 22 Ben Cotton 2019-08-13 18:59:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 23 Fedora Update System 2020-01-16 21:12:54 UTC
qcad-3.24.2.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d51418a9f3

Comment 24 Fedora Update System 2020-01-16 21:39:31 UTC
qcad-3.24.2.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-bb761cf1dd

Comment 25 Pontus Enhager 2020-01-18 20:46:53 UTC
while testing for another bug i also tried this - i can NOT reproduce it in F31 on wayland (notably though i have not seen this ever so limited value of this comment i guess...)

Comment 26 Fedora Update System 2020-01-24 18:51:10 UTC
qcad-3.24.2.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.